Bug 170486 - update port: lang/urweb
Summary: update port: lang/urweb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 18:30 UTC by Timothy Beyer
Modified: 2012-08-11 06:50 UTC (History)
1 user (show)

See Also:


Attachments
urweb.diff (892 bytes, patch)
2012-08-08 18:30 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2012-08-08 18:30:05 UTC
- Update to version 20120807.

Fix: Apply the patch and build
How-To-Repeat: apply the patch and build

keep in mind that sometimes mlton segfaults during build; if this happens, just
try again and it should work.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-08-09 11:09:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter service freebsd_committer 2012-08-11 06:43:02 UTC
Author: rm
Date: Sat Aug 11 05:42:47 2012
New Revision: 302403
URL: http://svn.freebsd.org/changeset/ports/302403

Log:
  - update to 20120807
  
  while here:
  - convert to optionsNG
  - tab -> space in pkg-descr:WWW
  
  PR:		170486
  Submitted by:	Timothy Beyer <beyert at cs.ucr dot edu> (maintainer)

Modified:
  head/lang/urweb/Makefile
  head/lang/urweb/distinfo
  head/lang/urweb/pkg-descr

Modified: head/lang/urweb/Makefile
==============================================================================
--- head/lang/urweb/Makefile	Sat Aug 11 05:39:55 2012	(r302402)
+++ head/lang/urweb/Makefile	Sat Aug 11 05:42:47 2012	(r302403)
@@ -5,7 +5,7 @@
 # $FreeBSD$
 
 PORTNAME=	urweb
-PORTVERSION=	20120519
+PORTVERSION=	20120807
 CATEGORIES=	lang www
 MASTER_SITES=	http://www.impredicative.com/ur/
 EXTRACT_SUFX=	.tgz
@@ -26,14 +26,14 @@ USE_LDCONFIG=	yes
 USE_OPENSSL=	yes
 ONLY_FOR_ARCHS=	i386 amd64
 
-OPTIONS=	ELISP "Install contributed Emacs Lisp" on \
-		PGSQL "Enable PostgreSQL Support" on \
-		SQLITE "Enable Sqlite Support" off \
-		MYSQL "Enable Mysql Support" off
+OPTIONS_DEFINE=	ELISP PGSQL SQLITE MYSQL
+OPTIONS_DEFAULT=ELISP PGSQL
+OPTIONS_EXCLUDE=NLS DOCS
+ELISP_DESC=	Install contributed Emacs Lisp
 
 .include <bsd.port.options.mk>
 
-.ifdef (WITH_ELISP)
+.if ${PORT_OPTIONS:MELISP}
 PLIST_SUB+=	ELISP=""
 CONFIGURE_ARGS+=	with_emacs=yes
 .else
@@ -41,19 +41,19 @@ PLIST_SUB+=	ELISP="@comment "
 CONFIGURE_ARGS+=	with_emacs=no
 .endif
 
-.ifdef (WITH_PGSQL)
+.if ${PORT_OPTIONS:MPGSQL}
 USE_PGSQL=	server
 .else
 CONFIGURE_ENV+=	PGHEADER="no"
 .endif
 
-.ifdef (WITH_SQLITE)
+.if ${PORT_OPTIONS:MSQLITE}
 USE_SQLITE=	yes
 .else
 CONFIGURE_ENV+=	SQHEADER="no"
 .endif
 
-.ifdef (WITH_MYSQL)
+.if ${PORT_OPTIONS:MMYSQL}
 USE_MYSQL=	yes
 .else
 CONFIGURE_ENV+=	MSHEADER="no"

Modified: head/lang/urweb/distinfo
==============================================================================
--- head/lang/urweb/distinfo	Sat Aug 11 05:39:55 2012	(r302402)
+++ head/lang/urweb/distinfo	Sat Aug 11 05:42:47 2012	(r302403)
@@ -1,2 +1,2 @@
-SHA256 (urweb-20120519.tgz) = 200f82c237a7b2f42a4b81243c1ab19447ccaa241b72b6f9c0aa806019bc73fa
-SIZE (urweb-20120519.tgz) = 841918
+SHA256 (urweb-20120807.tgz) = d4344a6c9dcaf968dbeb6fe9a4d9371e08674e37e5b131c8a57f3604c267e195
+SIZE (urweb-20120807.tgz) = 848903

Modified: head/lang/urweb/pkg-descr
==============================================================================
--- head/lang/urweb/pkg-descr	Sat Aug 11 05:39:55 2012	(r302402)
+++ head/lang/urweb/pkg-descr	Sat Aug 11 05:42:47 2012	(r302403)
@@ -19,4 +19,4 @@ they not crash during particular page ge
   * Use improper marshaling or unmarshaling in communication with SQL databases
     or between browsers and web servers
 
-WWW:	http://www.impredicative.com/ur/
+WWW: http://www.impredicative.com/ur/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-08-11 06:44:40 UTC
State Changed
From-To: open->closed

Committed, thank you!